Subject: Re: Setting alternate MAC addresses on e1000

From: Carsten Aulbert <[email-masked]>
Date: Tue, 08 Apr 2008 19:45:25 +0200

Hi all,

Kok, Auke schrieb:
>> Bill posted a patch for this a while back (but it was not accepted since
>> support for that hardware is offically moving to e1000e).  This may be
>> what you want....
> 
> yeah I thought of that as well and after digging through the documentation I don't
> think this will work for 82573's - it seems that only 82571 hardware supports this
> feature, which is not what Carsten needs.
> 
> as stated above, the alternate eeprom layout of the 82573 seems to also indicate that.

Thanks for not forgetting me :)

I wasn't able to reply yet because I'm buried in work, but the initial 
tip, to just use a different ID for the second device worked already. 
Though I don't use the alternate MAC possibility, I can change the MAC 
address easily - and already did that on ~280 nodes on Sunday.

So, I would say, please consider my problem solved.

Thanks to all of you who replied and the rest for the thoughts and the 
software!

Cheers

Carsten